Package org.apache.wiki.plugin

# Class PageViewPlugin.PageViewManager

java.lang.Object
org.apache.wiki.plugin.PageViewPlugin.PageViewManager

All Implemented Interfaces:
  `EventListener`, `org.apache.wiki.event.WikiEventListener`

Enclosing class:
  PageViewPlugin

public final class PageViewPlugin.PageViewManager extends Object implements org.apache.wiki.event.WikiEventListener
Page view manager, handling all storage.

## Constructor Summary

Constructors
Constructor
Description
`PageViewManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(org.apache.wiki.event.WikiEvent event)`
Inspect wiki events for shutdown.
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
Count a page hit, present a pages' counter or output a list of page counts.
`void`
`initialize(org.apache.wiki.api.core.Engine engine)`
Initialize the page view manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageViewManager

public PageViewManager()

## Method Details

### initialize

public void initialize(org.apache.wiki.api.core.Engine engine)
Initialize the page view manager.

Parameters:
  `engine` - The wiki engine.

### actionPerformed

public void actionPerformed(org.apache.wiki.event.WikiEvent event)
Inspect wiki events for shutdown.

Specified by:
  `actionPerformed` in interface `org.apache.wiki.event.WikiEventListener`
Parameters:
  `event` - The wiki event to inspect.

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException
Count a page hit, present a pages' counter or output a list of page counts.

Parameters:
  `context` - the wiki context
  `params` - the plugin parameters
Returns:
  String Wiki page snippet
Throws:
  `org.apache.wiki.api.exceptions.PluginException` - Malformed pattern parameter.